Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.query
Class EJBQLQuery

    java.lang.Object
      org.apache.cayenne.query.EJBQLQuery

All Implemented Interfaces:
  Serializable, Query

    public class EJBQLQuery

extends Object
implements Query

An EJBQL query representation in Cayenne.

Since:
  3.0
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected String` | `ejbqlStatement`
`protected EJBQLCompiledExpression` | `expression`
`protected String` | `name`
`protected Map<Object,Object>` | `parameters`

Constructor Summary
`EJBQLQuery(String ejbqlStatement)`

Method Summary
`SQLAction` | `createSQLAction(SQLActionVisitor visitor)` A callback method invoked by Cayenne during the final execution phase of the query run.
`String` | `getEjbqlStatement()` Returns an unparsed EJB QL statement used to initialize this query.
`EJBQLCompiledExpression` | `getExpression(EntityResolver resolver)` Returns lazily initialized EJBQLCompiledExpression for this query EJBQL.
`int` | `getFetchLimit()` Returns the fetchLimit property indicating the maximum number of rows this query would return.
`QueryMetadata` | `getMetaData(EntityResolver resolver)` Returns query runtime parameters.
`String` | `getName()` Returns a symbolic name of the query.
`Map<Object,Object>` | `getParameters()` Returns unmodifiable map of combined named and positional parameters.
`void` | `route(QueryRouter router, EntityResolver resolver, Query substitutedQuery)` A callback method invoked by Cayenne during the routing phase of the query execution.
`void` | `setFetchLimit(int fetchLimit)` Sets the fetchLimit property indicating the maximum number of rows this query would return.
`void` | `setName(String name)`
`void` | `setParameter(int position, Object object)` Sets a positional query parameter value.
`void` | `setParameter(String name, Object object)` Sets a named query parameter value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### ejbqlStatement

    protected String ejbqlStatement

### parameters

    protected Map<Object,Object> parameters

### expression

    protected transient EJBQLCompiledExpression expression

Constructor Detail

### EJBQLQuery

    public EJBQLQuery(String ejbqlStatement)

Method Detail

### getMetaData

    public QueryMetadata getMetaData(EntityResolver resolver)

  Description copied from interface: `Query`
  Returns query runtime parameters. The method is called at various stages of the execution by Cayenne access stack to retrieve query parameters. EntityResolver instance is passed to this method, meaning that the query doesn't need to store direct references to Cayenne mapping objects and can resolve them at runtime.

  Specified by:
    `getMetaData` in interface `Query`

### route

    public void route(QueryRouter router,
                      EntityResolver resolver,
                      Query substitutedQuery)

  Description copied from interface: `Query`
  A callback method invoked by Cayenne during the routing phase of the query execution. Mapping of DataNodes is provided by QueryRouter. Query should use a `QueryRouter.route(QueryEngine, Query, Query)` callback method to route itself. Query can create one or more substitute queries or even provide its own QueryEngine to execute itself.

  Specified by:
    `route` in interface `Query`

### createSQLAction

    public SQLAction createSQLAction(SQLActionVisitor visitor)

  Description copied from interface: `Query`
  A callback method invoked by Cayenne during the final execution phase of the query run. A concrete query implementation is given a chance to decide how it should be handled. Implementors can pick an appropriate method of the SQLActionVisitor to handle itself, create a custom SQLAction of its own, or substitute itself with another query that should be used for SQLAction construction.

  Specified by:
    `createSQLAction` in interface `Query`

### getEjbqlStatement

    public String getEjbqlStatement()

  Returns an unparsed EJB QL statement used to initialize this query.

### getExpression

    public EJBQLCompiledExpression getExpression(EntityResolver resolver)
                                          throws EJBQLException

  Returns lazily initialized EJBQLCompiledExpression for this query EJBQL.

  Throws:
    `EJBQLException`

### getName

    public String getName()

  Description copied from interface: `Query`
  Returns a symbolic name of the query. The name may be used as a key to find queries stored in the DataMap. Some query implementors reuse the name as a QueryMetadata cache key. Generally the name can be null.

  Specified by:
    `getName` in interface `Query`

### setName

    public void setName(String name)

### getParameters

    public Map<Object,Object> getParameters()

  Returns unmodifiable map of combined named and positional parameters. Positional parameter keys are Integers, while named parameter keys are strings.

### setParameter

    public void setParameter(String name,
                             Object object)

  Sets a named query parameter value.

### setParameter

    public void setParameter(int position,
                             Object object)

  Sets a positional query parameter value. Note that parameter indexes are starting from 1.

### getFetchLimit

    public int getFetchLimit()

  Returns the fetchLimit property indicating the maximum number of rows this query would return.

### setFetchLimit

    public void setFetchLimit(int fetchLimit)

  Sets the fetchLimit property indicating the maximum number of rows this query would return.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.